classification
Title: test_urllib2net fails on test_ftp
Type: Stage:
Components: Tests Versions: Python 3.0
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: nobody Nosy List: christian.heimes, gvanrossum, jafo, nobody
Priority: normal Keywords:

Created on 2007-09-12 21:01 by gvanrossum, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (2)
msg55873 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-09-12 21:01
======================================================================
ERROR: test_ftp (__main__.OtherNetworkTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_urllib2net.py", line 173, in test_ftp
    self._test_urls(urls, self._extra_handlers())
  File "Lib/test/test_urllib2net.py", line 242, in _test_urls
    f = urllib2.urlopen(url, req)
  File "/usr/local/google/home/guido/python/py3k/Lib/urllib2.py", line
122, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/local/google/home/guido/python/py3k/Lib/urllib2.py", line
378, in open
    response = self._open(req, data)
  File "/usr/local/google/home/guido/python/py3k/Lib/urllib2.py", line
396, in _open
    '_open', req)
  File "/usr/local/google/home/guido/python/py3k/Lib/urllib2.py", line
356, in _call_chain
    result = func(*args)
  File "/usr/local/google/home/guido/python/py3k/Lib/urllib2.py", line
1271, in ftp_open
    fw = self.connect_ftp(user, passwd, host, port, dirs, req.timeout)
  File "/usr/local/google/home/guido/python/py3k/Lib/urllib2.py", line
1316, in connect_ftp
    self.cache[key] = ftpwrapper(user, passwd, host, port, dirs, timeout)
  File "/usr/local/google/home/guido/python/py3k/Lib/urllib.py", line
783, in __init__
    self.init()
  File "/usr/local/google/home/guido/python/py3k/Lib/urllib.py", line
790, in init
    self.ftp.login(self.user, self.passwd)
  File "/usr/local/google/home/guido/python/py3k/Lib/ftplib.py", line
372, in login
    if resp[0] == '3': resp = self.sendcmd('PASS ' + passwd)
  File "/usr/local/google/home/guido/python/py3k/Lib/ftplib.py", line
242, in sendcmd
    return self.getresp()
  File "/usr/local/google/home/guido/python/py3k/Lib/ftplib.py", line
208, in getresp
    resp = self.getmultiline()
  File "/usr/local/google/home/guido/python/py3k/Lib/ftplib.py", line
198, in getmultiline
    nextline = self.getline()
  File "/usr/local/google/home/guido/python/py3k/Lib/ftplib.py", line
181, in getline
    line = self.file.readline()
  File "/usr/local/google/home/guido/python/py3k/Lib/io.py", line 1319,
in readline
    readahead, pending = self._read_chunk()
  File "/usr/local/google/home/guido/python/py3k/Lib/io.py", line 1123,
in _read_chunk
    pending = self._decoder.decode(readahead, not readahead)
  File
"/usr/local/google/home/guido/python/py3k/Lib/encodings/ascii.py", line
26, in decode
    return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 47:
ordinal not in range(128)
msg57292 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-09 01:29
The test is passing for me on Ubuntu and Windows.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-11-09 01:29:56christian.heimessetstatus: open -> closed
nosy: + christian.heimes
resolution: works for me
messages: + msg57292
keywords: + py3k
2007-09-18 13:30:20jafosetassignee: jafo -> nobody
nosy: + nobody
2007-09-18 11:51:46jafosetpriority: normal
assignee: jafo
components: + Tests
nosy: + jafo
2007-09-12 21:01:34gvanrossumcreate